import { IScope, NodeGenerator, NodeGeneratorConfig } from '../types';
import { IPublicTypeNodeSchema, IPublicTypeNodeDataType } from '@alilc/lowcode-types';
export declare function isPureString(v: string): boolean;
export declare function createNodeGenerator(cfg?: NodeGeneratorConfig): NodeGenerator<string>;
export declare function createVueNodeGenerator(cfg?: NodeGeneratorConfig): NodeGenerator<string>;
/**
 * 生成指定节点
 * @param name 指定节点名称
 * @param nodeItem schema文件
 * @param scope
 * @param cfg 配置
 * @param props 要额外添加给组件的属性
 */
export declare function generateByName(cfg: NodeGeneratorConfig, name: string, nodeItem: IPublicTypeNodeDataType, scope: IScope, props: Record<string, any>): {
    code: string;
    node: IPublicTypeNodeSchema;
};
